package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * Created by m1991 on 2021/3/10 20:29
 */
@Data
public class zxUserDto {
    /**
     * 手机号作为用户账号
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "user_id", value = "用户id")
    private String userId;

    /**
     * 资讯主键id
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "zx_id", value = "资讯主键id")
    private Integer zxid;
    /**
     * 视频存放地址
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "zx_url", value = "视频/图片存放地址")
    private String zxUrl;
    /**
     * 用户本人邀请码
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "invite_code", value = "用户本人邀请码")
    private String inviteCode;
    /**
     * 获赞数
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "zx_likes", value = "获赞数")
    private Integer zxLikes;

    /**
     * 审核字段
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "zx_to_examine", value = "审核字段")
    private Integer zxToExamine;
    /**
     * 资讯文字输入字段
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "zx_field", value = "资讯文字输入字段")
    private String zxField;
    /**
     * 用户发布地址
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "zx_address", value = "用户发布地址")
    private String zxAddress;
    /**
     * 资讯数据创建时间
     */
    @TableField(exist = false)
    @ApiModelProperty(name = "zx_date", value = "资讯数据创建时间")
    private Long zxDate;



    @TableField(exist = false)
    private List<String> askImgList;
}
